package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.BusinessCheck;
import com.fuzamei.entity.BusinessDeclare;
import com.fuzamei.mapperInterface.BusinessDeclareMapper;

@Repository
public class BusinessDeclareDao {

	@Autowired
	private BusinessDeclareMapper businessDeclareMapper;

	public void insertBusinessDeclareInformationToDaoByBranchBank(Map<String, Object> map) {
		businessDeclareMapper.insertBusinessDeclareInformationToDaoByBranchBank(map);
	}

	public void insertAttachmentInformationToDaoByBranchBank(Map<String, Object> map) {
		businessDeclareMapper.insertAttachmentInformationToDaoByBranchBank(map);
	}

	public int findAddInfromations() {
		return businessDeclareMapper.findAddInfromations();
	}

	public List<BusinessDeclare> queryBusinessDeclareInformation(Map<String, Object> map) {
		return businessDeclareMapper.queryBusinessDeclareInformation(map);
	}

	public List<BusinessCheck> queryBusinessCheckInformation(Map<String, Object> map) {
		return businessDeclareMapper.queryBusinessCheckInformation(map);
	}

	public void businessDeclareCheckedBy(Map<String, Object> map) {
		businessDeclareMapper.businessDeclareCheckedBy(map);
	}

	public void updateBusinessDeclareStatus(Map<String, Object> map) {
		businessDeclareMapper.updateBusinessDeclareStatus(map);
	}

	public void insertContractInformationToContractRecord(Map<String, Object> map) {
		businessDeclareMapper.insertContractInformationToContractRecord(map);
	}

	public void insertContractInformationToContractStatusTracking(Map<String, Object> map) {
		businessDeclareMapper.insertContractInformationToContractStatusTracking(map);
	}

	public void insertContractInformationToAttachment(Map<String, Object> map) {
		businessDeclareMapper.insertContractInformationToAttachment(map);
	}

	public void insertOperationHistoryInformationToDaoByBranchBank(Map<String, Object> map) {
		businessDeclareMapper.insertOperationHistoryInformationToDaoByBranchBank(map);
	}
	
	
}
