package com.fuzamei.constant;

/**
 * 
 * @author ylx
 * @describe: 对应状态id号
 */
public class StatusId {
	private StatusId() {
		throw new AssertionError("禁止实例化");
	}
	public static final Integer TO_BE_CHECKED_BY_SECONDARY_BRANCH_BANK = 1;	//待二级分行审核
	public static final Integer REJECTED_BY_SECONDARY_BRANCH_BANK = 2;		//二级分行审核不通过
	public static final Integer TO_BE_CHECKED_BY_PROVINCIAL_BRANCH_BANK = 3;//待省分行业务部门审核
	public static final Integer REJECTED_BY_PROVINCIAL_BRANCH_BANK = 4;		//省分行业务部门审核不通过
	public static final Integer AGREE = 5;									//通过
	public static final Integer REJECTED = 6;								//不通过
	public static final Integer MODIFYING = 7;								//修订中
	public static final Integer CONFIRMED = 8;								//已确认
	public static final Integer FINISHED = 9;								//已完成
	public static final Integer LAUNCHING = 10;								//发起
	public static final Integer CHECKING = 11;								//审核
	
}
